Verify an email address
curl --request POST \
--url https://api.liara.ir/v1/verify-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "you@example.com",
"token": "123456"
}
'import requests
url = "https://api.liara.ir/v1/verify-email"
payload = {
"email": "you@example.com",
"token": "123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'you@example.com', token: '123456'})
};
fetch('https://api.liara.ir/v1/verify-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liara.ir/v1/verify-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'you@example.com',
'token' => '123456'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.liara.ir/v1/verify-email"
payload := strings.NewReader("{\n \"email\": \"you@example.com\",\n \"token\": \"123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.liara.ir/v1/verify-email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"you@example.com\",\n \"token\": \"123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liara.ir/v1/verify-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"you@example.com\",\n \"token\": \"123456\"\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"error": "Bad Request",
"message": "\"phone\" with value \"123\" fails to match the required pattern: /^09\\d{9}$/"
}{
"error": "Unauthorized."
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Invalid token.",
"data": null
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"data": {
"code": "<string>"
}
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"data": null
}Verification
Verify an email address
Confirms a code from POST /v1/send-email-token. Verifying your current address opens a 5-minute window to change it; verifying a new address makes it your account email. A newly verified address may also be added as an email notification channel.
Too many wrong codes are rejected with 429.
POST
/
v1
/
verify-email
Verify an email address
curl --request POST \
--url https://api.liara.ir/v1/verify-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "you@example.com",
"token": "123456"
}
'import requests
url = "https://api.liara.ir/v1/verify-email"
payload = {
"email": "you@example.com",
"token": "123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'you@example.com', token: '123456'})
};
fetch('https://api.liara.ir/v1/verify-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liara.ir/v1/verify-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'you@example.com',
'token' => '123456'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.liara.ir/v1/verify-email"
payload := strings.NewReader("{\n \"email\": \"you@example.com\",\n \"token\": \"123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.liara.ir/v1/verify-email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"you@example.com\",\n \"token\": \"123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liara.ir/v1/verify-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"you@example.com\",\n \"token\": \"123456\"\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"error": "Bad Request",
"message": "\"phone\" with value \"123\" fails to match the required pattern: /^09\\d{9}$/"
}{
"error": "Unauthorized."
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Invalid token.",
"data": null
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>",
"data": {
"code": "<string>"
}
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"data": null
}Authorizations
Send your API token as Authorization: Bearer <api-token>. Tokens expire (30 days by default) and stop working when you change or reset your password.
Body
application/json
Response
The address was verified. The response body is empty.
⌘I
